org.richfaces.component.html

## Class HtmlColumnGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.UIColumnGroup
        - - org.richfaces.component.html.HtmlColumnGroup

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.richfaces.component.Column, org.richfaces.component.Row

      public class HtmlColumnGroup
      extends UIColumnGroup

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlColumnGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnClasses()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getFamily()`
    `javax.el.MethodExpression` | `getFilterMethod()`
    `java.lang.String` | `getFilterValue()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getRowClasses()`
    `java.lang.String` | `getSortExpression()`
    `org.richfaces.model.Ordering` | `getSortOrder()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isSelfSorted()`
    `boolean` | `isSortable()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setColumnClasses(java.lang.String _columnClasses)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setFilterMethod(javax.el.MethodExpression _filterMethod)`
    `void` | `setFilterValue(java.lang.String _filterValue)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setRowClasses(java.lang.String _rowClasses)`
    `void` | `setSelfSorted(boolean _selfSorted)`
    `void` | `setSortable(boolean _sortable)`
    `void` | `setSortExpression(java.lang.String _sortExpression)`
    `void` | `setSortOrder(org.richfaces.model.Ordering _sortOrder)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTitle(java.lang.String _title)`

    - ### Methods inherited from class org.richfaces.component.UIColumnGroup

      `columns, isBreakBefore, setBreakBefore`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlColumnGroup

          public HtmlColumnGroup()

  - ### Method Detail

    - #### getColumnClasses

          public java.lang.String getColumnClasses()

    - #### setColumnClasses

          public void setColumnClasses(java.lang.String _columnClasses)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getFilterMethod

          public javax.el.MethodExpression getFilterMethod()

    - #### setFilterMethod

          public void setFilterMethod(javax.el.MethodExpression _filterMethod)

    - #### getFilterValue

          public java.lang.String getFilterValue()

    - #### setFilterValue

          public void setFilterValue(java.lang.String _filterValue)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getRowClasses

          public java.lang.String getRowClasses()

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

    - #### isSelfSorted

          public boolean isSelfSorted()

    - #### setSelfSorted

          public void setSelfSorted(boolean _selfSorted)

    - #### getSortExpression

          public java.lang.String getSortExpression()

    - #### setSortExpression

          public void setSortExpression(java.lang.String _sortExpression)

    - #### getSortOrder

          public org.richfaces.model.Ordering getSortOrder()

    - #### setSortOrder

          public void setSortOrder(org.richfaces.model.Ordering _sortOrder)

    - #### isSortable

          public boolean isSortable()

    - #### setSortable

          public void setSortable(boolean _sortable)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2013. All Rights Reserved.